<div id="js-bulk-actions-wrapper">
  <button
    id="js-bulk-actions-button"
    class="button button__sm button__secondary"
    type="button"
    data-toggle="js-bulk-actions-dropdown">
    <%= t("decidim.proposals.admin.proposals.index.actions") %>
    <%= icon "arrow-down-s-line", class: "dropdown-filter-icon" %>
  </button>

  <div
    id="js-bulk-actions-dropdown"
    class="dropdown-pane dropdown-pane--buttons"
    data-position="bottom"
    data-alignment="right"
    data-dropdown="dropdown"
    data-auto-focus="false"
    data-events="resize">
    <ul>
      <% if current_component_taxonomy_filters&.any? %>
        <li>
          <button type="button" data-action="taxonomy-change-proposals">
            <%= t("decidim.proposals.admin.proposals.index.change_taxonomies") %>
          </button>
        </li>
      <% end %>
      <li>
        <button type="button" data-action="merge-proposals" data-merge-dialog="merge-proposals_drawer" data-merge-url="<%= new_proposals_merge_path %>">
          <%= t("decidim.proposals.admin.proposals.index.merge") %>
        </button>
      </li>
      <li>
        <button type="button" data-action="split-proposals">
          <%= t("decidim.proposals.admin.proposals.index.split") %>
        </button>
      </li>
      <li>
        <button type="button" data-action="assign-proposals-to-valuator">
          <%= t("decidim.proposals.admin.proposals.index.assign_to_valuator") %>
        </button>
      </li>
      <% if allowed_to? :unassign_from_valuator, :proposals, valuator: current_user %>
        <li>
          <button type="button" data-action="unassign-proposals-from-valuator">
            <%= t("decidim.proposals.admin.proposals.index.unassign_from_valuator") %>
          </button>
        </li>
      <% end %>
      <% if templates_available? %>
        <li>
          <button type="button" data-action="apply-answer-template">
            <%= t("decidim.proposals.admin.proposals.index.apply_answer_template") %>
          </button>
        </li>
      <% end %>
      <li>
        <button type="button" data-action="publish-answers">
          <%= t("decidim.proposals.admin.proposals.index.publish_answers") %>
        </button>
      </li>
    </ul>
  </div>
</div>
